/**
 * Turns sync JavaScript code into an JavaScript with async Functions.
 *
 * @param {String} jsStr JavaScript string to convert
 * @param {Array} names Array of function names to add `yield` operators to
 * @return {String} Converted JavaScript string with async/await injected
 * @api public
 */
declare function degenerator(jsStr: string, _names: degenerator.DegeneratorNames, { output }?: degenerator.DegeneratorOptions): string;
declare namespace degenerator {
    type DegeneratorName = string | RegExp;
    type DegeneratorNames = DegeneratorName[];
    interface DegeneratorOptions {
        output?: string;
    }
}
export = degenerator;
